SKB_DEQUEUE(9)

NAME
skb_dequeue - remove from the head of the queue

SYNOPSIS

struct sk_buff * skb_dequeue (struct sk_buff_head * list);

ARGUMENTS

list
    list to dequeue from

DESCRIPTION

Remove the head of the list. The list lock is taken so the function may be used safely with other locking list functions. The head item is returned or NULL if the list is empty.